System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.IDisposable

A region is scalable because its coordinates are specified in world coordinates. On a drawing surface, however, its interior is dependent on the size and shape of the pixels representing it. An application can use regions to clip the output of drawing operations. These regions are called clipping regions. For more information on using regions for clipping, see How To: Use Clipping with a Region.

An application can also use regions in hit-testing operations, such as checking whether a point or a rectangle intersects a region. For more information on using regions for hit-testing, see How To: Use Hit Testing with a Region.

An application can fill a region by using the method and a object.

Describes the interior of a graphics shape composed of rectangles and paths. This class cannot be inherited.

- Constructor

  This constructor initializes a new with an infinite interior.

  Initializes a new .

  1.0.5000.0
  2.0.0.0
- Constructor

  This method creates a new with a . The new region is defined as the interior of the specified by the parameter.

  Initializes a new with the specified .

  A that defines the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  This method creates a new with an interior defined by an existing . The parameter is an array that contains the definition of an existing .

  Initializes a new from the specified data.

  A that defines the interior of the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  This method creates a new with a rectangular interior. The interior is defined by the parameter.

  Initializes a new from the specified structure.

  A structure that defines the interior of the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  This method creates a new with a rectangular interior. The interior is defined by the parameter.

  Initializes a new from the specified structure.

  A structure that defines the interior of the new .
  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Region To be added

  Creates an exact copy of this .

  The that this method creates.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain the portion of the specified that does not intersect with this .

  The to complement this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain the portion of the specified structure that does not intersect with this .

  The structure to complement this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain the portion of the specified structure that does not intersect with this .

  The structure to complement this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain the portion of the specified that does not intersect with this .

  The object to complement this object. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this to be reallocated for other purposes.

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  The current transformation of the graphics context is used to compute the region interiors on the drawing surface.

  Tests whether the specified is identical to this on the specified drawing surface.

  true if the interior of region is identical to the interior of this region when the transformation associated with the parameter is applied; otherwise, false.

  The to test. A that represents a drawing surface. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain only the portion of its interior that does not intersect with the specified .

  The to exclude from this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain only the portion of its interior that does not intersect with the specified structure.

  The structure to exclude from this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain only the portion of its interior that does not intersect with the specified structure.

  The structure to exclude from this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to contain only the portion of its interior that does not intersect with the specified .

  The to exclude from this . 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Region ``

  This method creates a new with an interior defined by the existing referred to by the handle in the parameter.

  Initializes a new from a handle to the specified existing ndptecgdi region.

  The new .

  A handle to an existing . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF ``

  The current transformation of the graphics context is used to compute the region interior on the drawing surface. The bounding rectangle is not always the smallest possible bounding rectangle depending on the current transformation.

  Gets a structure that represents a rectangle that bounds this on the drawing surface of a object.

  A structure that represents the bounding rectangle for this on the specified drawing surface.

  The on which this is drawn. 1.0.5000.0 2.0.0.0
- Method
  System.IntPtr `` To be added

  Returns a Windows handle to this in the specified graphics context.

  A Windows handle to this .

  The on which this is drawn. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Drawing2D.RegionData

  The class allows you to define a custom shape. The shape can be made up of lines, polygons, and curves. describes the shape contained in this .

  Returns a that represents the information that describes this .

  A that represents the information that describes this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.RectangleF[] `` To be added

  Returns an array of structures that approximate this after the specified matrix transformation is applied.

  An array of structures that approximate this after the specified matrix transformation is applied.

  A that represents a geometric transformation to apply to the region. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the intersection of itself with the specified .

  The to intersect with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the intersection of itself with the specified structure.

  This method does not return a value.

  The structure to intersect with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the intersection of itself with the specified structure.

  The structure to intersect with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the intersection of itself with the specified .

  This method does not return a value.

  The to intersect with this . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  The current transformation of the graphics context is used to compute the region interior on the drawing surface.

  Tests whether this has an empty interior on the specified drawing surface.

  true if the interior of this is empty when the transformation associated with is applied; otherwise, false.

  A that represents a drawing surface. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  The current transformation of the graphics context is used to compute the region interior on the drawing surface.

  Tests whether this has an infinite interior on the specified drawing surface.

  true if the interior of this is infinite when the transformation associated with is applied; otherwise, false.

  A that represents a drawing surface. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Tests whether the specified structure is contained within this .

  true when is contained within this ; otherwise, false.

  The structure to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Tests whether the specified structure is contained within this .

  true when is contained within this ; otherwise, false.

  The structure to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Tests whether any portion of the specified structure is contained within this .

  This method returns true when any portion of is contained within this ; otherwise, false.

  The structure to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Tests whether any portion of the specified structure is contained within this .

  true when any portion of is contained within this ; otherwise, false.

  The structure to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The current transformation of the graphics context is used to compute the region interior and the point coordinates on the drawing surface.

  Tests whether the specified structure is contained within this when drawn using the specified .

  true when is contained within this ; otherwise, false.

  The structure to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The current transformation of the graphics context is used to compute the region interior and the point coordinates on the drawing surface.

  Tests whether the specified structure is contained within this when drawn using the specified .

  true when is contained within this ; otherwise, false.

  The structure to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The current transformation of the graphics context is used to compute the region interior and the rectangle coordinates on the drawing surface.

  Tests whether any portion of the specified structure is contained within this when drawn using the specified .

  true when any portion of the is contained within this ; otherwise, false.

  The structure to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The current transformation of the graphics context is used to compute the region interior and the rectangle coordinates on the drawing surface.

  Tests whether any portion of the specified structure is contained within this when drawn using the specified .

  true when is contained within this ; otherwise, false.

  The structure to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Tests whether the specified point is contained within this .

  true when the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  The current transformation of the graphics context is used to compute the region interior and the point coordinates on the drawing surface.

  Tests whether the specified point is contained within this object when drawn using the specified object.

  true when the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  The current transformation of the graphics context is used to compute the region interior and the point coordinates on the drawing surface.

  Tests whether the specified point is contained within this when drawn using the specified .

  true when the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` To be added

  Tests whether any portion of the specified rectangle is contained within this .

  true when any portion of the specified rectangle is contained within this ; otherwise, false.

  The x-coordinate of the upper-left corner of the rectangle to test. The y-coordinate of the upper-left corner of the rectangle to test. The width of the rectangle to test. The height of the rectangle to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` To be added

  Tests whether any portion of the specified rectangle is contained within this .

  true when any portion of the specified rectangle is contained within this object; otherwise, false.

  The x-coordinate of the upper-left corner of the rectangle to test. The y-coordinate of the upper-left corner of the rectangle to test. The width of the rectangle to test. The height of the rectangle to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` ``

  The current transformation of the graphics context is used to compute the region interior and the rectangle coordinates on the drawing surface.

  Tests whether any portion of the specified rectangle is contained within this when drawn using the specified .

  true when any portion of the specified rectangle is contained within this ; otherwise, false.

  The x-coordinate of the upper-left corner of the rectangle to test. The y-coordinate of the upper-left corner of the rectangle to test. The width of the rectangle to test. The height of the rectangle to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` ``

  The current transformation of the graphics context is used to compute the region interior and the rectangle coordinates on the drawing surface.

  Tests whether any portion of the specified rectangle is contained within this when drawn using the specified .

  true when any portion of the specified rectangle is contained within this ; otherwise, false.

  The x-coordinate of the upper-left corner of the rectangle to test. The y-coordinate of the upper-left corner of the rectangle to test. The width of the rectangle to test. The height of the rectangle to test. A that represents a graphics context. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Initializes this to an empty interior.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Initializes this object to an infinite interior.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Releases the handle of the .

  The handle to the .
- Method
  System.Void `` To be added

  Transforms this by the specified .

  The by which to transform this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Offsets the coordinates of this by the specified amount.

  The amount to offset this horizontally. The amount to offset this vertically. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Offsets the coordinates of this by the specified amount.

  The amount to offset this horizontally. The amount to offset this vertically. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union of itself and the specified .

  The to unite with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union of itself and the specified structure.

  The structure to unite with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union of itself and the specified structure.

  The structure to unite with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union of itself and the specified .

  The to unite with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union minus the intersection of itself with the specified .

  The to with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union minus the intersection of itself with the specified structure.

  The structure to with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union minus the intersection of itself with the specified structure.

  The structure to with this . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Updates this to the union minus the intersection of itself with the specified .

  The to with this . 1.0.5000.0 2.0.0.0